#ifndef XXX_ALIHK
#define XXX_ALIHK

#include "xxx_Telemetry.h"

typedef struct ALI
{
  telem_field	datamode;
  telem_field	fp_temp;
  telem_field	pan_int_time;
  telem_field	frame_rate;
  telem_field	dataset_type;
  telem_field	starttime_msw;
  telem_field	starttime_lsw;
  telem_field	starttime_sub;
  telem_field	stoptime_msw;
  telem_field	stoptime_lsw;
  telem_field	stoptime_sub;
  telem_field	suncal_pos;
  telem_field	cal_status;
  telem_field	int_time;
  telem_field	ms_int_time;
  telem_field	cover_pos;
  telem_field	sun_diff_pos;
} ALI;

int xxx_read_ALI( int32, ALI ** );
void xxx_free_ALI( ALI * );
int xxx_dump_ALI( ALI * );

#endif

