/******************************************************************************
NAME:           xxx_strtolower

PURPOSE:        
xxx_strtolower converts all the lower case characters in a string to lower
case.

$LOG$

RETURN VALUE:
Type = char *
Value    Description
-----    -----------
pointer  Returns a pointer to the string so it can immediately be used as
         a parameter to another function (such as strcmp)

NOTES:
The original string is converted in place.

ALGORITHM REFERENCES:
none
******************************************************************************/

#include <ctype.h>       /* tolower prototype */
#include "xxx_utility.h" /* prototype for this function */


char *xxx_strtolower 
(
    char *string_ptr  /* I/O: pointer to string to convert */
)
{
    char *c_ptr = string_ptr;

    while (*c_ptr != '\0')
    {
        *c_ptr = tolower(*c_ptr);
        c_ptr++;
    }

    return (string_ptr);
}
