/*******************************************************************************
NAME:	 	xxx_dot	

PURPOSE:	
Multiply two vectors of type VECTOR (Dot product)

DEVELOPMENT HISTORY:
$Log: xxx_dot.c,v $
Revision 1.1  2000/11/22 14:21:10  storey
Original Version
Conversion of gxx_dot.c



RETURN VALUE:
Type = double
Value of computed dot product

********************************************************************************
                       Property of the U.S. Government
                           USGS EROS Data Center
*******************************************************************************/
#include "xxx_math.h"

double xxx_dot(const VECTOR *vec1, /* I Vector one to be multiplied	    */
	       const VECTOR *vec2) /* I Vector two to be multiplied         */
{
double dot_product = 0.0;

dot_product = vec1->x * vec2->x + vec1->y * vec2->y + vec1->z * vec2->z;

return(dot_product);
}
