/*******************************************************************************
NAME:		xxx_multmatrix

PURPOSE:	
Multiply two 3 x 3 matrices

DEVELOPMENT HISTORY:
$Log: xxx_multmatrix.c,v $
Revision 1.1  2000/11/22 21:26:15  storey
Original version - conversion from gxx_multmatrix.c



RETURN VALUE:
none
********************************************************************************
                       Property of the U.S. Government
                           USGS EROS Data Center
*******************************************************************************/
#include "xxx_math.h"

void  xxx_multmatrix(const double matrix1[3][3],	/* I Input matrix one	     */
		     const double matrix2[3][3],	/* I Input matrix two	     */
		     double outmatrix[3][3])		/* O Multiplied matrix	     */
{
double	sum;
int	i, j, k;		/* Looping variables			     */

for (i = 0; i < 3; i++)
    {
    for (j = 0; j < 3; j++)
	{
        sum = 0.0;
        for (k = 0; k < 3; k++)
            sum += (matrix1[i][k] * matrix2[k][j]);

	outmatrix[i][j] = sum; 
	}
    }
}
