#ifndef _RESAMPF1P_H_
#define _RESAMPF1P_H_

void setup_resampf1p_output(void);

int resample_image_cc_delays
(
  HDFIO *output_hdf_io_ptr,
  int sca,
  int nband,
  const axx_GRID_BAND_TYPE *grid_band_ptr,
  IMAGE dem,
  IMAGE input
);

int resample_image_cc
(
  HDFIO *output_hdf_io_ptr,        
  int sca,
  int nbands,
  const axx_GRID_BAND_TYPE *grid_band_ptr,
  IMAGE dem,
  IMAGE input
);

int resample_image_nn
(
  HDFIO *output_hdf_io_ptr,        
  int sca,
  int nbands,
  const axx_GRID_BAND_TYPE *grid_band_ptr,
  IMAGE dem,
  IMAGE input          
);

int resample_image_bi
(
  HDFIO *output_hdf_io_ptr,        
  int sca,
  int nbands,
  const axx_GRID_BAND_TYPE *grid_band_ptr,
  IMAGE dem,
  IMAGE input
);

#endif /* _RESAMPF1P_H_ */

