#ifndef _RESAMPLE_H_
#define _RESAMPLE_H_

#include "axx_hdf_io.h"    /* 1g image I/O */
#include "xxx_image.h"     /* 1g image I/O */
#include "axx_grid.h"      /* geom grid structure */
#include "file_io.h"
#include "multiproc.h"     /* multiprocessing wrapper module */

#define PROGRAM_NAME "ALIRESAMPLE"
/* name of application */

typedef struct
{
    int thread_error;         
    const axx_GRID_BAND_TYPE *grid_band_ptr;
    FILE_IO_TYPE *file_io; 
    int sca;
    int num_bands_processed;
    IMAGE *dem_image;
    IMAGE *input_image;
} RESAMPLE_THREAD_PARAMS;

#endif /* _RESAMPLE_H_ */
