#ifndef _FILE_IO_
#define _FILE_IO_

#include "xxx_const.h"      /* BandNumber definition */
#include "axx_hdf_io.h"     /* 1g HDF I/O routines */
#include "multiproc.h"      /* multiprocessing macros */

typedef struct
{
    HDFIO *output_hdf_io_ptr;   /* output HDF I/O file pointer */
    MUTEX_TYPE file_io_mutex;   /* mutex that controls access to file i/o */
} FILE_IO_TYPE;

#endif
