#include <stdlib.h>
#include <math.h>
#include "xxx_Types.h"     /* SUCCESS/ERROR definitions */
#include "xxx_LogStatus.h" /* xxx_LogStatus prototype */
#include "get_resample_parameters.h"
#include "aliresample.h"   /* PROGRAM_NAME definition */

void *get_output_image_buffer
(
    int ns
)
{
    OUTPUT_DATA_TYPE output_data_type;

    output_data_type = get_output_data_type();

    if (output_data_type == BYTE_OUTPUT)
    {
      unsigned char *char_ptr;
      char_ptr = (unsigned char *)malloc( sizeof(unsigned char) * ns );
      if( char_ptr == NULL )
        return(NULL);
      else
        return(char_ptr);
    }
    else if (output_data_type == FLOAT_OUTPUT)
    {
      float *float_ptr;
      float_ptr = (float *)malloc( sizeof(float) * ns );
      if( float_ptr == NULL )
        return(NULL);
      else
        return(float_ptr);
    }
    else if (output_data_type == INT16_OUTPUT)
    {
      int16 *int16_ptr;
      int16_ptr = (int16 *)malloc( sizeof(int16) * ns );
      if( int16_ptr == NULL )
        return(NULL);
      else
        return(int16_ptr);
    }
    else
    {
      int32 *int32_ptr;
      int32_ptr = (int32 *)malloc( sizeof(int32) * ns );
      if( int32_ptr == NULL )
        return(NULL);
      else
        return(int32_ptr);
    }
}
