#include <stdio.h>

/*
#define LIMIT (360*1024*1024)
*/
#define LIMIT (720*1024*1024)

int main( void )
{
unsigned long size = 0;
int byte_size = 0;
unsigned long i,j = 0;
char buf[1024];
int overlimit = 0;
int index = -999;
int k;

while ( scanf("%s", buf ) != EOF )
    {
    sscanf( buf, "%uld %*s", &i );
    size += i / 1024;
    byte_size += i % 1024;
    if ( byte_size > 1024 )
        {
        size++;
        byte_size -= 1024;
        }
    j++;
    if ( size > LIMIT )
        {
	index = j;
	if ( index %4 != 0 )
	    index += 4 - (j % 4);
	break;
	}
    }

if ( size > LIMIT )
    overlimit = 1;

printf("Number of files: %d\n", j );
if ( index != -999 )
    printf("Number of files to ARCHIVE: %d\n", index-4);
else
    printf("Number of files to ARCHIVE: 0\n");

printf("     Size: %9ld Kb\n", size );
if ( !overlimit )
    printf("Available: %9ld Kb\n", LIMIT-size );
printf("     Size: %9ld Mb, %3ld Gb\n",size/1024,size/1024/1024);
if ( !overlimit )
    printf("Available: %9ld Mb, %3ld Gb\n",(LIMIT-size)/1024,
					   (LIMIT-size)/1024/1024);
if ( overlimit )
    printf( "OVERLIMIT by %ld Kb\n", size-LIMIT );
}

