#ifndef _HXX_UTILITY_H_
#define _HXX_UTILITY_H_

void hxx_create_band_name (
    const char *HDF_name,/* I: HDF name to form band file name from     */
    const char *type,   /* I: SDS or FILE name ("SDS" or "FILE")        */
    char *band_name);   /* O: constructed band file name                */

void hxx_createname (
  const char *directory,      /* I: Directory portion of file name     */
  const char *root,           /* I: Root portion of the file name      */
  const char *extension,      /* I: Extension portion of the file name */
  char *filename);            /* O: New filename                       */

#endif
