#include "xxx_Types.h"
#include "xxx_ali_level0r.h"

int xxx_close_ali_level0r(
LEVEL0R *level0r)
{

  /*
   * Free band 0 which allocated all MS data
   * and band 9, the pan band.
   *
   * Don't have to free bands 1-8 since they
   * were allocated by the first band (i.e. 0).
   */

   if(level0r->precal[0].number_of_dims == 3)
      free(level0r->precal[0].data);
   if(level0r->image[0].number_of_dims == 3)
      free(level0r->image[0].data);
   if(level0r->dark[0].number_of_dims == 3)
      free(level0r->dark[0].data);
   if(level0r->lamp[0].number_of_dims == 3)
      free(level0r->lamp[0].data);

   if(level0r->precal[9].number_of_dims == 3)
      free(level0r->precal[9].data);
   if(level0r->image[9].number_of_dims == 3)
      free(level0r->image[9].data);
   if(level0r->dark[9].number_of_dims == 3)
      free(level0r->dark[9].data);
   if(level0r->lamp[9].number_of_dims == 3)
      free(level0r->lamp[9].data);

 return(SUCCESS);
}
