#include <stdio.h>
#include "mfhdf.h"
#include "xxx_HYPHK.h"

int xxx_dump_HYP( HYP *HYP_Group )
{
  int32	index;		/* Dumper loop index */

  if ( HYP_Group == NULL )
  {
    printf("\nxxx_dump_HYP:  Invalid HYP telemetry structure.\n");
    return FAIL;
  }

  printf("%s,%s\n",
         HYP_Group->ylamp1cur.time_mnemonic,HYP_Group->ylamp1cur.value_mnemonic );
  for ( index=0; index<HYP_Group->ylamp1cur.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ylamp1cur.time[index],HYP_Group->ylamp1cur.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ylamp2cur.time_mnemonic,HYP_Group->ylamp2cur.value_mnemonic );
  for ( index=0; index<HYP_Group->ylamp2cur.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ylamp2cur.time[index],HYP_Group->ylamp2cur.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ylamp1vol.time_mnemonic,HYP_Group->ylamp1vol.value_mnemonic );
  for ( index=0; index<HYP_Group->ylamp1vol.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ylamp1vol.time[index],HYP_Group->ylamp1vol.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ylamp2vol.time_mnemonic,HYP_Group->ylamp2vol.value_mnemonic );
  for ( index=0; index<HYP_Group->ylamp2vol.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ylamp2vol.time[index],HYP_Group->ylamp2vol.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yhsatmp5.time_mnemonic,HYP_Group->yhsatmp5.value_mnemonic );
  for ( index=0; index<HYP_Group->yhsatmp5.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yhsatmp5.time[index],HYP_Group->yhsatmp5.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yhsatmp6.time_mnemonic,HYP_Group->yhsatmp6.value_mnemonic );
  for ( index=0; index<HYP_Group->yhsatmp6.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yhsatmp6.time[index],HYP_Group->yhsatmp6.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ycoverpos.time_mnemonic,HYP_Group->ycoverpos.value_mnemonic );
  for ( index=0; index<HYP_Group->ycoverpos.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yhsatmp6.time[index],HYP_Group->ycoverpos.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirfpet.time_mnemonic,HYP_Group->yswirfpet.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirfpet.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirfpet.time[index],HYP_Group->yswirfpet.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirfpet.time_mnemonic,HYP_Group->yvnirfpet.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirfpet.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirfpet.time[index],HYP_Group->yvnirfpet.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yheap5v.time_mnemonic,HYP_Group->yheap5v.value_mnemonic );
  for ( index=0; index<HYP_Group->yheap5v.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yheap5v.time[index],HYP_Group->yheap5v.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yheap15v.time_mnemonic,HYP_Group->yheap15v.value_mnemonic );
  for ( index=0; index<HYP_Group->yheap15v.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yheap15v.time[index],HYP_Group->yheap15v.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yhean15v.time_mnemonic,HYP_Group->yhean15v.value_mnemonic );
  for ( index=0; index<HYP_Group->yhean15v.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yhean15v.time[index],HYP_Group->yhean15v.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirp5vd.time_mnemonic,HYP_Group->yvnirp5vd.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirp5vd.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirp5vd.time[index],HYP_Group->yvnirp5vd.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirp5va.time_mnemonic,HYP_Group->yvnirp5va.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirp5va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirp5va.time[index],HYP_Group->yvnirp5va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirm5va.time_mnemonic,HYP_Group->yvnirm5va.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirm5va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirm5va.time[index],HYP_Group->yvnirm5va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirp15va.time_mnemonic,HYP_Group->yvnirp15va.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirp15va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirp15va.time[index],HYP_Group->yvnirp15va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnirm15va.time_mnemonic,HYP_Group->yvnirm15va.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnirm15va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnirm15va.time[index],HYP_Group->yvnirm15va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirp5vd.time_mnemonic,HYP_Group->yswirp5vd.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirp5vd.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirp5vd.time[index],HYP_Group->yswirp5vd.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirp5va.time_mnemonic,HYP_Group->yswirp5va.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirp5va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirp5va.time[index],HYP_Group->yswirp5va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirm5va.time_mnemonic,HYP_Group->yswirm5va.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirm5va.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirm5va.time[index],HYP_Group->yswirm5va.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirp15v.time_mnemonic,HYP_Group->yswirp15v.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirp15v.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirp15v.time[index],HYP_Group->yswirp15v.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswirm15v.time_mnemonic,HYP_Group->yswirm15v.value_mnemonic );
  for ( index=0; index<HYP_Group->yswirm15v.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswirm15v.time[index],HYP_Group->yswirm15v.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ycalmp12vol.time_mnemonic,HYP_Group->ycalmp12vol.value_mnemonic );
  for ( index=0; index<HYP_Group->ycalmp12vol.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ycalmp12vol.time[index],HYP_Group->ycalmp12vol.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yerrctr.time_mnemonic,HYP_Group->yerrctr.value_mnemonic );
  for ( index=0; index<HYP_Group->yerrctr.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yerrctr.time[index],HYP_Group->yerrctr.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ycoldheadtemp.time_mnemonic,HYP_Group->ycoldheadtemp.value_mnemonic );
  for ( index=0; index<HYP_Group->ycoldheadtemp.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ycoldheadtemp.time[index],HYP_Group->ycoldheadtemp.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->youtdbrss.time_mnemonic,HYP_Group->youtdbrss.value_mnemonic );
  for ( index=0; index<HYP_Group->youtdbrss.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->youtdbrss.time[index],HYP_Group->youtdbrss.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ymotordrive.time_mnemonic,HYP_Group->ymotordrive.value_mnemonic );
  for ( index=0; index<HYP_Group->ymotordrive.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ymotordrive.time[index],HYP_Group->ymotordrive.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ycryflngt2.time_mnemonic,HYP_Group->ycryflngt2.value_mnemonic );
  for ( index=0; index<HYP_Group->ycryflngt2.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ycryflngt2.time[index],HYP_Group->ycryflngt2.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yheaomst1.time_mnemonic,HYP_Group->yheaomst1.value_mnemonic );
  for ( index=0; index<HYP_Group->yheaomst1.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yheaomst1.time[index],HYP_Group->yheaomst1.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvniraspt3.time_mnemonic,HYP_Group->yvniraspt3.value_mnemonic );
  for ( index=0; index<HYP_Group->yvniraspt3.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvniraspt3.time[index],HYP_Group->yvniraspt3.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yswiraspt4.time_mnemonic,HYP_Group->yswiraspt4.value_mnemonic );
  for ( index=0; index<HYP_Group->yswiraspt4.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yswiraspt4.time[index],HYP_Group->yswiraspt4.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yvnrfpgatmp.time_mnemonic,HYP_Group->yvnrfpgatmp.value_mnemonic );
  for ( index=0; index<HYP_Group->yvnrfpgatmp.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->yvnrfpgatmp.time[index],HYP_Group->yvnrfpgatmp.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ycenterplatetemp.time_mnemonic,HYP_Group->ycenterplatetemp.value_mnemonic );
  for ( index=0; index<HYP_Group->ycenterplatetemp.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ycenterplatetemp.time[index],HYP_Group->ycenterplatetemp.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->ypos_peakposition1.time_mnemonic,HYP_Group->ypos_peakposition1.value_mnemonic );
  for ( index=0; index<HYP_Group->ypos_peakposition1.count; index++ )
    printf("%lf,%lf\n",
           HYP_Group->ypos_peakposition1.time[index],HYP_Group->ypos_peakposition1.value.d[index] );

  printf("%s,%s\n",
         HYP_Group->yimage_mode.time_mnemonic,HYP_Group->yimage_mode.value_mnemonic );
  for ( index=0; index<HYP_Group->yimage_mode.count; index++ )
    printf("%lf,%d\n",
           HYP_Group->yimage_mode.time[index],HYP_Group->yimage_mode.value.us[index] );

  printf("%s,%s\n",
         HYP_Group->ycoverstat.time_mnemonic,HYP_Group->ycoverstat.value_mnemonic );
  for ( index=0; index<HYP_Group->ycoverstat.count; index++ )
    printf("%lf,%d\n",
           HYP_Group->ycoverstat.time[index],HYP_Group->ycoverstat.value.us[index] );

  return SUCCEED;
}
