#ifndef XXX_ACSHK
#define XXX_ACSHK

#include "xxx_Telemetry.h"

typedef struct ACS
{
  telem_field	quat1;
  telem_field	quat2;
  telem_field	quat3;
  telem_field	quat4;
  telem_field	imu_xrate;
  telem_field	imu_yrate;
  telem_field	imu_zrate;
  telem_field	imu_xposerr;
  telem_field	imu_yposerr;
  telem_field	imu_zposerr;
  telem_field	imu_xraterr;
  telem_field	imu_yraterr;
  telem_field	imu_zraterr;
  telem_field	sc_posx;
  telem_field	sc_posy;
  telem_field	sc_posz;
  telem_field	sc_velx;
  telem_field	sc_vely;
  telem_field	sc_velz;
  telem_field	sc_lat;
  telem_field	sc_lon;
  telem_field	sunvecx;
  telem_field	sunvecy;
  telem_field	sunvecz;
  telem_field	moonvecx;
  telem_field	moonvecy;
  telem_field	moonvecz;
  telem_field	sc_momx;
  telem_field	sc_momy;
  telem_field	sc_momz;
} ACS;

int xxx_read_ACS( int32, ACS ** );
void xxx_free_ACS( ACS * );
int xxx_dump_ACS( ACS * );

#endif

