/******************************************************************************
                Landsat 7 Image Assessment System (IAS) Software
                        Property of the U.S. Government
                            NASA / GSFC / Code 510
*******************************************************************************

UNIT NAME:  xxx_GetDirFiles.h

PURPOSE:  Defines function prototype and structures for xxx_GetDirFiles function.

INVOCATION METHOD:
        #include <xxx_GetDirFiles.h>

EXTERNAL FILE/RECORD/DBTABLE REFERENCES:
Name                    Use     Description
----------------------- ---     -------------------------------------------------
none

DEVELOPMENT HISTORY:
Author            Change-ID   Release Date       Description of Change
----------------- ----------- ------- ---------- ------------------------------
J. kerich                     R1.0    04/29/97   Original Implementation

NOTES:
none

******************************************************************************/
#ifndef XXX_GETDIRFILES_H
#define XXX_GETDIRFILES_H

#include <sys/param.h>

typedef struct xxx_DirList_TYPE {
        char        FilePathName[MAXPATHLEN];
} xxx_DirList_TYPE;

xxx_DirList_TYPE *xxx_GetDirFiles(int *, char *, char *, char *);

#endif
