/*******************************************************************************
NAME:		xxx_cross

PURPOSE:
Compute the cross product of two vectors

DEVELOPMENT HISTORY:
$Log: xxx_cross.c,v $
Revision 1.1  2000/11/22 14:20:21  storey
Original Version
Conversion of gxx_cross.



RETURN VALUE:
none
********************************************************************************
                       Property of the U.S. Government
                           USGS EROS Data Center
*******************************************************************************/
#include "xxx_math.h"

void xxx_cross(const VECTOR *vec1, /* I: Input vector number one */
	       const VECTOR *vec2, /* I: Input vector number two */
	       VECTOR *vec3) /* O: Output vector (cross product) */
{
vec3->x = vec1->y * vec2->z - vec1->z * vec2->y; 
vec3->y = vec1->z * vec2->x - vec1->x * vec2->z;
vec3->z = vec1->x * vec2->y - vec1->y * vec2->x;
}
