/************************************************************************
FUNCTION: xxx_isleap

PURPOSE:
Test if year given is a leap year.

DEVELOPMENT HISTORY:
$Log: xxx_isleap.c,v $
Revision 1.1  2000/11/22 21:26:11  storey
Original version - conversion from gxx_isleap.c


RETURN VALUE:
Type = int
Value    Description
-----    -----------
TRUE	 the year is a leap year
FALSE	 the year is NOT a leap year

NOTES:

ALGORITHM REFERENCES:

******************************************************************************
                        Property of the U.S. Government
                            USGS EROS Data Center
**************************************************************************/
#include <stdio.h>
#include "xxx_Types.h"
#include "xxx_math.h"

int xxx_isleap(int year	/*I: Year to test 	*/)
{
if (((year % 4) != 0) || (((year % 100) == 0) && ((year % 400) != 0)))
    return(FALSE);
else
    return(TRUE);
}
