/*******************************************************************************
NAME:		xxx_norm

PURPOSE:	
Find the length of a vector

DEVELOPMENT HISTORY:
$Log: xxx_norm.c,v $
Revision 1.1  2000/11/22 21:26:16  storey
Original version - conversion from gxx_norm.c



RETURN VALUE
TYPE = double
Calculated length of the vector

********************************************************************************
                       Property of the U.S. Government
                           USGS EROS Data Center
*******************************************************************************/
#include "xxx_math.h"

double xxx_norm(const VECTOR *vec) /* I Vector to find the length of	     */
{

/*
  Calculate the norm
*/
return (sqrt(vec->x * vec->x + vec->y * vec->y + vec->z * vec->z));
}
