/******************************************************************************
NAME: 		TRANSPOSE

PURPOSE:	Transpose an 3 X 3 matrix;

DEVELOPMENT HISTORY:
$Log: xxx_transpose.c,v $
Revision 1.1  2000/11/22 21:26:19  storey
Original version - conversion from gxx_transpose.c


ALGORITHM REFERENCES:
*******************************************************************************
                       Property of the U.S. Government
                           USGS EROS Data Center
******************************************************************************/

void xxx_transpose(double A[3][3]) /* I/O: the matrix to be transposed 	 */
{
    int i, j;			  /* looping variable			 */
    double s;			  /* intermediate variable		 */

    /* Transpose a 3 X 3 matrix. 
    ----------------------------*/
    for (i = 0; i < 3; i++)
	{
	for (j = 0; j < i; j++)
	    {
	    s = A[i][j];
	    A[i][j] = A[j][i];
	    A[j][i] = s;
	    }
	}
      
}
