#ifndef _GENERATE_DDR_H_
#define _GENERATE_DDR_H_

#include "axx_grid.h"   /* gxx_GRID_TYPE definition */
#include "axx_hdf_io.h"   /* BandNumber definition */

int generate_ddr
(
    const axx_GRID_TYPE *grid_ptr, /* I: pointer to grid used to create output image */
    int bands_to_output, /* I: number of bands of information to write to the 1g DDR */
    int sca_number,
    const BandNumber *band_list_ptr /* I: pointer to list of bands to output */
);

void get_WRS_path_row
(
    int *WRS_path_ptr,   /* OUTPUT: pointer to return location for WRS_path */
    int *WRS_row_ptr     /* OUTPUT: pointer to return location for WRS_row */
);

#endif
